Nuage de points & Autodesk Inventor

Insérer un ou plusieurs nuages de points dans l’environnement Inventor est très utile afin de modéliser ou intégrer des équipements (Machines, Convoyeurs etc…)

Pour gérer la visibilité des fichiers liés, vous pouvez utiliser soit :

Bouton droit sur le dossier – Nuages de points puis visibilité (oui/non)

Pour l’ensemble des fichiers liés (ici 2 Nuages)

 

 

ou alors pour chaque instance, la visibilité de celle-ci indépendamment de l’autre.

 

Sinon le Navigateur de nuage de points

Cela reste plus ou moins ergonomique et le Navigateur prend de la place (si vous n’avez qu’un seul écran).

Une solution très efficace consiste à utiliser une règle iLogic interne au fichier Inventor IPT car plus facile à configurer si plusieurs nuages.

Créons un paramètre utilisateur Nuage Vrai/Faux

Si nous voulons gérer de manière dissociée chaque nuage lié, il faut créer autant de paramètres utilisateurs (Nuage1, Nuage2, etc.. ) que de fichiers liés.

Ci dessous la règle iLogic pour gérer la visibilité simultanée des 2 nuages liés :

oDoc = ThisDoc.Document
Dim oPointcloud As PointCloud = oDoc.componentdefinition.pointclouds.item(1)

If Parameter("Nuage")=False Then
oPointcloud.Visible = False
End If

If Parameter("Nuage") = True Then
oPointcloud.Visible = True
End If

Dim oPointcloud2 As PointCloud = oDoc.componentdefinition.pointclouds.item(2)
If Parameter("Nuage")=False Then
oPointcloud2.Visible = False
End If

If Parameter("Nuage") = True Then
oPointcloud2.Visible = True
End If

Si nous voulons gérer indépendamment chaque nuage, il faut créer un deuxième paramètre utilisateur Nuage2 Vrai/Faux

Ci dessous la règle modifiée afin de gérer les 2 paramètres Nuage et Nuage2

 

oDoc = ThisDoc.Document
Dim oPointcloud As PointCloud = oDoc.componentdefinition.pointclouds.item(1)

If Parameter("Nuage")=False Then
oPointcloud.Visible = False
End If

If Parameter("Nuage") = True Then
oPointcloud.Visible = True
End If

Dim oPointcloud2 As PointCloud = oDoc.componentdefinition.pointclouds.item(2)
If Parameter("Nuage2")=False Then
oPointcloud2.Visible = False
End If

If Parameter("Nuage2") = True Then
oPointcloud2.Visible = True
End If

Il reste à ajouter un évènement déclencheur et un formulaire iLogic pour gagner en ergonomie.

Le formulaire Nuages  interne au fichier IPT

Penser à capturer la « limite de taille » pour optimiser l’encombrement du formulaire.

Bouton prédéfinis « Aucun »,  et  « Case à cocher » à la place de « Vrai / Faux » pour les paramètres Nuage et Nuage2, ainsi le formulaire est minimisé au maximum.

Il suffit d’adapter cette règle selon vos besoins, 3 nuages ou plus…